.TH MAKESYMBOLINDEX L

.SH NAME
makesymbolindex - builds a list of symbols for a
.I LaTeX
document.

.SH SYNOPSIS
makesymbolindex [-hip]
.I [foo(.sdx)]

.SH DESCRIPTION
.I makesymbolindex
reads a file
.I foo.sdx
(default is standard input) which contains lines formatted as
.HP
\\sindexentry
.I {sort-string}{symbol}{description}{page}
.P
The entries are then sorted using the Perl operator
.I cmp
on the lowercasified entries
.I sort-string.
If a file
.I foo.pre
is present,
.I makesymbolindex
will write the string "\\input{main.pre}" to
.I foo.los
(default is standard output).  The string "\\begin{symbollist}" is then
written to
.I foo.los.
The header for the list of symbols is also written if you specify the
.I -h
option.  The default form is
.HP
\\item[\\textbf{Symbol}\\hfill\\ ] \\textbf{Description and page when
applicable}
.P
The sorted entries are then sent to the index file
.I foo.los
in the following format.
.HP
\\item
.I [symbol
\\hfill\\
.I ] description(,\\ page)
.P
where
.I symbol
and
.I description
are the strings which appeared in the argument of "\\sindexentry."  If the
.I page
argument is blank for any symbol, no page number will be given for that
symbol.  The file
.I foo.los
is completed when
.I makesymbolindex
writes to it the string "\\end{symbollist}."

.SH LaTeX COMMANDS
The file
.I foo.sdx
will be typically be built by using commands in a
.I LaTeX
file
.I foo.tex.
The user must first tell
.I LaTeX
that they wish to make a list of symbols.  To do this the commands
"\\usepackage{makesdx}" and "\\makesymbolindex" must appear in the
document preamble in the given order.  In the place in the document where
the user wishes the actual symbol list to appear, the command
.HP
\\listofsymbols
.I [text]
.P
should appear.  The optional argument
.I text
will be written to a file
.I foo.pre.
To make the entries in
.I foo.sdx,
there are two
.I LaTeX
commands available to the user:
.HP
\\sindex{#1}{#2}{#3} --
Here #1 is the string by which you want the symbol to be sorted
.I (sort-string
above), #2 is the symbol written in
.I TeX, (symbol
above), and #3 is the description of the symbol
.I (description
above).  When written to
.I foo.sdx
the page number will be written as the current page number when the macro is
called.
.HP
\\sindex*{#1}{#2}{#3} --
Here #1 is the string by which you want the symbol to be sorted
.I (sort-string
above), #2 is the symbol written in
.I TeX, (symbol
above), and #3 is the description of the symbol
.I (description
above).  No page number will be written to
.I foo.sdx.
.RE

.SH OPTIONS
.TP
.B \-h
adds a header to the top of the list
.TP
.B \-i
case insensitive sorting
.TP
.B \-p
leaves a blank page at the end of the list

.SH FILES
.TP 2.2i
.I %%binpath-name%%/makesymbolindex
executable script.
.TP 2.2i
.I %%doc-name%%
.I LaTeX
documentation file.
.TP 2.2i
.I %%style-dir%%/makesdx.sty
.I LaTeX
macro file used by
.I makesymbolindex.

.SH SEE ALSO
latex(1), makeindex(1), tex(1)

.SH DIAGNOSTICS
When
.I makesymbolindex
is run, a log file
.I foo.slg
is created.  The messages concern warnings regarding comparison of identical
.I sort-string
arguments, and number of comparisons made.
.SH AUTHOR
Andrew D. Lewis, Queen's University, Kingston, ON, Canada,
<andrew@mast.queensu.ca>.
